
QGIS Application - Bug report #16868

undo/redo functionality broken in QGIS master

2017-07-14 03:31 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24767

Description

Do a edit like moving a node or moving a feature, then move it again in order to get 3 statuses in the undo/redo panel, the initial state and

the two editing operations. Now try to get back the first editing operation, instead it will show the layer from the original status.

History

#1 - 2017-11-13 07:09 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this anymore - can you?

#2 - 2017-11-13 11:14 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Description updated

I just tried on master from osgeo4w and still can see what is described in the ticket. Used a polygon shapefile for tests.

One thing I notice now:

    -  if you use the undo/redo panel to move from

initial state (called "empty" in the panel) > second state > third state

then is all ok

    -  * if you use the undo/redo panel to move from

third state > second state

then when clicking on second state it shows the "empty" state instead.

#3 - 2018-02-13 08:19 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed
Duplicate of #17658
